Subject: Re: [PATCH v2 2/2] ci: compile "linux-gcc-default" job with -Og

From: Junio C Hamano <[email-masked]>
Date: Fri, 07 Jun 2024 11:45:18 -0700

Patrick Steinhardt <[email-masked]> writes:

> We're unlikely to break existing workflows though if we name this
> variable something like `OPTIMIZATION_LEVEL`.

Yeah, being more explicit is always good.

> We could also generalize this a bit and introduce `CFLAGS_APPEND`
> instead. Optimization levels are last-one-wins anyway, so people can use
> that to append their own flags without overriding existing values. It
> would also mean that we can avoid repeating the CFLAGS that we already
> have in our Makefile in our CI scripts.

Yup, Peff's $(O) cannot serve as such, but my $(O) is already being
used as such.  Naming the variable that gives additional CFLAGS as
such is probably a good way to go.

Thanks.